Skip to content

Update Snippet Dynamic Content

POST /rest/asset/v1/snippet/{id}/dynamicContent/{segmentId}.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/snippet/{id}/dynamicContent/{segmentId}.json
Tag: Snippets
Operation ID: updateDynamicContentUsingPOST

Updates the target dynamic content section. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes id
segmentId integer (int32) Yes segmentId

Request body

Name: request
Required: Yes
Schema: model: UpdateSnippetDynamicContentRequest

request

Generated example

{
  "type": "Typeofcontent.Either'HTML'or'Text'",
  "value": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/asset/v1/snippet/{{id}}/dynamicContent/{{segmentId}}.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

{
  "type": "Typeofcontent.Either'HTML'or'Text'",
  "value": "string"
}

Responses

200 — OK

Schema: model: ResponseOfIdResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.